REST APIInstitutional API
Upshift
Historical APY charts and per-vault strategy APY.
Get Historical Apy
Returns the time-series of APY for a given vault address.
Averaging period should be at least 2 days. Use days_ago = -1 for the full timeseries since inception.
Query Parameters
vault_addressVault Address
days_ago?Days Ago
Default
30averaging_period_in_days?Averaging Period In Days
Default
7apply_smoothing?Apply Smoothing
Default
trueResponse Body
curl -X GET "https://api.upshift.finance/api/v1/upshift/historical_apy/chart?vault_address=string&days_ago=30&averaging_period_in_days=7&apply_smoothing=true"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}curl -X GET "https://api.upshift.finance/api/v1/upshift/strategy_apy"[
{
"vault_address": "string",
"strategist_address": "string",
"chain": 0,
"platform_name": "string",
"strategy_type": "string",
"allocation": 0,
"apy": 0,
"points_apy": 0,
"snapshot_datetime": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]curl -X POST "https://api.upshift.finance/api/v1/upshift/strategy_apy" \ -H "Content-Type: application/json" \ -d '[ { "vault_address": "string", "chain": 0, "platform_name": "string", "strategy_type": "string", "allocation": 0, "apy": 0, "points_apy": 0 } ]'[
{
"vault_address": "string",
"strategist_address": "string",
"chain": 0,
"platform_name": "string",
"strategy_type": "string",
"allocation": 0,
"apy": 0,
"points_apy": 0,
"snapshot_datetime": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}curl -X GET "https://api.upshift.finance/api/v1/upshift/strategy_apy/string"[
{
"vault_address": "string",
"strategist_address": "string",
"chain": 0,
"platform_name": "string",
"strategy_type": "string",
"allocation": 0,
"apy": 0,
"points_apy": 0,
"snapshot_datetime": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}
]{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}